Subject: bug#69096: closed (Re: bug#69096: [PATCH] Set default value for 'vc-default-patch-addressee')

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 May 2024 06:36:02 +0000

Your bug report

#69096: [PATCH] Set default value for 'vc-default-patch-addressee'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69096: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69096
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69096: [PATCH] Set default value for 'vc-default-patch-addressee'
From: Philip Kaludercic <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Dmitry Gutov <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Mon, 20 May 2024 06:35:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Dmitry Gutov <[email-masked]> writes:
>
>> Hi Eli,
>>
>> On 04/05/2024 14:44, Eli Zaretskii wrote:
>>>> From: Philip Kaludercic<[email-masked]>
>>>> Date: Fri, 03 May 2024 07:36:34 +0000
>>>>
>>>> Philip Kaludercic<[email-masked]>  writes:
>>>>
>>>>> Apparently we forgot to set this option back when it was added, but it
>>>>> makes sense to have it along with 'vc-prepare-patches-separately'.
>>>> ping?
>>> Dmitry?
>>>
>>> I'm okay with this, FWIW.
>>
>> I didn't think this was my area, but the change also LGTM.
>
> Philip, did you push this already?

No I haven't yet, but I will right after this message.

> If no, please go ahead, if yes, don't forget to close the bug.  ;-)

Thanks, I was just wanting for another ACK.

-- 
	Philip Kaludercic on peregrine

Subject: [PATCH] Set default value for 'vc-default-patch-addressee'
From: Philip Kaludercic <[email-masked]>
To: [email-masked]
Date: Tue, 13 Feb 2024 09:54:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently we forgot to set this option back when it was added, but it
makes sense to have it along with 'vc-prepare-patches-separately'.

>From a9be9adaf6ae0c30a62d98c1705cfb308cffd69f Mon Sep 17 00:00:00 2001
From: Philip Kaludercic <[email-masked]>
Date: Tue, 13 Feb 2024 10:52:24 +0100
Subject: [PATCH] ; * .dir-locals.el: Set 'vc-default-patch-addressee'

---
 .dir-locals.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/.dir-locals.el b/.dir-locals.el
index 89fb76a55f3..58fc135e202 100644
--- a/.dir-locals.el
+++ b/.dir-locals.el
@@ -14,7 +14,8 @@
             ("/[ \t]*DEFVAR_[A-Z_ \t(]+\"\\([^\"]+\\)\"/\\1/"
              "/[ \t]*DEFVAR_[A-Z_ \t(]+\"[^\"]+\",[ \t]\\([A-Za-z0-9_]+\\)/\\1/"))))
          (etags-regen-ignores . ("test/manual/etags/"))
-         (vc-prepare-patches-separately . nil)))
+         (vc-prepare-patches-separately . nil)
+         (vc-default-patch-addressee . "[email-masked]")))
  (c-mode . ((c-file-style . "GNU")
             (c-noise-macro-names . ("INLINE" "NO_INLINE" "ATTRIBUTE_NO_SANITIZE_UNDEFINED"
                                     "UNINIT" "CALLBACK" "ALIGN_STACK" "ATTRIBUTE_MALLOC"
-- 
2.43.0